Apache config:

unifi.example.com.conf:
```
<IfModule mod_ssl.c>
    <VirtualHost *:80>
        ServerName unifi.example.com
        Redirect permanent / https://unifi.example.com/
        <Location /inform>
          ProxyPass http://127.0.0.1:8080/inform
          ProxyPassReverse http://127.0.0.1:8080/inform
        </Location>
    </VirtualHost>
    <VirtualHost *:443>
        Include sites-available/unifi.example.com.include

        SSLEngine on
        SSLCertificateFile /etc/ssl/private/unifi.example.com.crt
        SSLCertificateKeyFile /etc/ssl/private/unifi.example.com.key
        SSLCertificateChainFile /etc/ssl/private/unifi.example.com-chain.crt
    </VirtualHost>
</IfModule>
<IfModule !mod_ssl.c>
    <VirtualHost *:80>
        Include sites-available/unifi.example.com.include
        <Location /inform>
          ProxyPass http://127.0.0.1:8080/inform
          ProxyPassReverse http://127.0.0.1:8080/inform
        </Location>
    </VirtualHost>
</IfModule>
```

unifi.example.com.include:
```
ServerName unifi.example.com
ServerAlias unifi.example.com
ProxyPreserveHost On
ProxyRequests off
ProxyPass /wss wss://127.0.0.1:8443/wss retry=0
ProxyPassReverse /wss wss://127.0.0.1:8443/wss
ProxyPass / https://127.0.0.1:8443/
ProxyPassReverse / https://127.0.0.1:8443/
SSLProxyVerify none
SSLProxyCheckPeerName off
SSLProxyCheckPeerCN off
SSLProxyCheckPeerExpire off
```
